Module java.xml
Package javax.xml.stream.events

# Interface Namespace

All Superinterfaces:
  `Attribute`, `XMLEvent`, `XMLStreamConstants`

public interface Namespace extends Attribute
An interface that contains information about a namespace. Namespaces are accessed from a StartElement.

Since:
  1.6
See Also:
  - `StartElement`

## Field Summary

### Fields declared in interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespaceURI()`
Gets the uri bound to the prefix of this namespace
`String`
`getPrefix()`
Gets the prefix, returns "" if this is a default namespace declaration.
`boolean`
`isDefaultNamespaceDeclaration()`
returns true if this attribute declares the default namespace

### Methods declared in interface javax.xml.stream.events.Attribute

`getDTDType, getName, getValue, isSpecified`

### Methods declared in interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

## Method Details

### getPrefix

String getPrefix()
Gets the prefix, returns "" if this is a default namespace declaration.

Returns:
  the prefix

### getNamespaceURI

String getNamespaceURI()
Gets the uri bound to the prefix of this namespace

Returns:
  the `NamespaceURI`

### isDefaultNamespaceDeclaration

boolean isDefaultNamespaceDeclaration()
returns true if this attribute declares the default namespace

Returns:
  true if this is default namespace, false otherwise